package com.ssj.service.conch.conch.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author yanghuan
 * @title: UpdateSconOtaManagerRequest
 * @projectName ssj
 * @description: TODO
 * @date 2019/7/1 15:47
 */
public class UpdateSconOtaManagerRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name="id",value = "升级包id",required = true)
    private String id;

    @ApiModelProperty(name = "packName", value = "升级包名称",required = true)
    private String packName;

    @ApiModelProperty(name = "content", value = "备注",required = true)
    private  String content;

    @ApiModelProperty(name = "createTime", value = "创建时间",required = true)
    private  String createTime;

    @ApiModelProperty(name = "isDelete", value = "是否删除",required = true)
    private  Integer isDelete;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPackName() {
        return packName;
    }

    public void setPackName(String packName) {
        this.packName = packName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
